# Filename: tri_get_elevation.py
# Purpose: Get the elevation of an x,y location.
# Returns: Double.

from maptek import vulcan

input_tri = 'headframe.00t' # input tri

with vulcan.triangulation(input_tri) as tri: # Open tri in read mode
    z = tri.get_elevation(77868, 4941) # pass X,Y coordinates

    # do something with results...
    print(f"Elevation: {z}")
    